curl --request PUT \
--url https://api-{region}.sesametime.com/contract/v1/contracts/{contractId}/annexes/{annexId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startAt": "2023-12-25",
"endAt": "2023-12-25",
"expiredAt": "2023-12-25",
"jobChargeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workdayTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contractTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agreementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"degreeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobLevelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"holidays": 49,
"comment": "<string>",
"code": "<string>",
"socialSecurityNumber": "<string>",
"cbo": "<string>",
"remoteWork": true,
"seniorityDate": "2023-12-25",
"jobPositionDescription": "<string>",
"weeklyHours": 123,
"maxLegalWeeklyHours": 123,
"maxLegalAnnualHours": 123,
"percentageWorkDay": 123,
"fte": 0.5,
"workDays": [
{
"hour": 123
}
],
"trialPeriod": {
"trialPeriodType": "months",
"quantity": "6"
},
"trialPeriodEndDate": "2023-12-25",
"details": "<string>"
}
'import requests
url = "https://api-{region}.sesametime.com/contract/v1/contracts/{contractId}/annexes/{annexId}"
payload = {
"startAt": "2023-12-25",
"endAt": "2023-12-25",
"expiredAt": "2023-12-25",
"jobChargeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workdayTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contractTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agreementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"degreeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobLevelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"holidays": 49,
"comment": "<string>",
"code": "<string>",
"socialSecurityNumber": "<string>",
"cbo": "<string>",
"remoteWork": True,
"seniorityDate": "2023-12-25",
"jobPositionDescription": "<string>",
"weeklyHours": 123,
"maxLegalWeeklyHours": 123,
"maxLegalAnnualHours": 123,
"percentageWorkDay": 123,
"fte": 0.5,
"workDays": [{ "hour": 123 }],
"trialPeriod": {
"trialPeriodType": "months",
"quantity": "6"
},
"trialPeriodEndDate": "2023-12-25",
"details": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startAt: '2023-12-25',
endAt: '2023-12-25',
expiredAt: '2023-12-25',
jobChargeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
workdayTypeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contractTypeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
agreementId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
degreeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
jobLevelId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
holidays: 49,
comment: '<string>',
code: '<string>',
socialSecurityNumber: '<string>',
cbo: '<string>',
remoteWork: true,
seniorityDate: '2023-12-25',
jobPositionDescription: '<string>',
weeklyHours: 123,
maxLegalWeeklyHours: 123,
maxLegalAnnualHours: 123,
percentageWorkDay: 123,
fte: 0.5,
workDays: [{hour: 123}],
trialPeriod: {trialPeriodType: 'months', quantity: '6'},
trialPeriodEndDate: '2023-12-25',
details: '<string>'
})
};
fetch('https://api-{region}.sesametime.com/contract/v1/contracts/{contractId}/annexes/{annexId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"meta": {
"currentPage": 1,
"lastPage": 1,
"total": 1,
"perPage": 1
}
}Update a contract annex
Updates an existing annex for a contract. All fields are optional except startAt which is required.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the contract
The ID of the annex to update
Body
Contract annex object with fields to update
Start date of the annex
End date of the annex
Expiration date of the annex
The ID of the job charge
The ID of the workday type
The ID of the contract type
The ID of the agreement
The ID of the degree
The ID of the job level
Number of holidays
0 <= x <= 99Comments about the annex
500Code of the annex
The social security number
Brazilian occupation code (CBO)
^\d{4}(-\d{2})?$Whether remote work is allowed
Seniority date
The job position description
500Weekly working hours
Max legal weekly working hours
Max legal annual working hours
Percentage of workday
The FTE value should be between 0 and 1
0 <= x <= 1Working days configuration
Show child attributes
Show child attributes
Show child attributes
Show child attributes
End date of the trial period
Additional details about the annex
500Was this page helpful?